import { WatchSource } from 'vue';
export declare const animationFrameHandlers: Set<() => void>;
export declare function watchAsyncViaAnimationFrame<T>(source: WatchSource<T>, cb: (newValue: T, oldValue: T | undefined) => void, options?: {
    immediate?: boolean;
}): () => void;
export declare function debounce(fn: Function, delay: number): () => void;
